# Interface CircleRelayer

#### Hierarchy

- BaseContract
  - CircleRelayer

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:455

#####
Index

### Properties

VERSION
bytes32ToAddress
calculateMaxSwapAmountIn
calculateNativeSwapAmountOut
cancelOwnershipTransferRequest
chainId
circleIntegration
confirmOwnershipTransferRequest
decodeTransferTokensWithRelay
encodeTransferTokensWithRelay
feeRecipient
filters
getPaused
getRegisteredContract
interface
maxNativeSwapAmount
nativeSwapRate
nativeSwapRatePrecision
nativeTokenDecimals
owner
ownerAssistant
pendingOwner
redeemTokens
registerContract
relayerFee
setPauseForTransfers
submitOwnershipTransferRequest
transferTokensWithRelay
updateFeeRecipient
updateMaxNativeSwapAmount
updateNativeSwapRate
updateNativeSwapRatePrecision
updateOwnerAssistant
updateRelayerFee
wormhole

### Methods

connect
getEvent
getFunction
listeners
on
once
queryFilter
removeAllListeners
waitForDeployment

## Properties

### VERSION

VERSION: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:498

### bytes32ToAddress

bytes32ToAddress: TypedContractMethod<[address_: BytesLike], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:500

### calculateMaxSwapAmountIn

calculateMaxSwapAmountIn: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:506

### calculateNativeSwapAmountOut

calculateNativeSwapAmountOut: TypedContractMethod<[token: AddressLike, toNativeAmount: BigNumberish], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:512

### cancelOwnershipTransferRequest

cancelOwnershipTransferRequest: TypedContractMethod<[chainId_: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:518

### chainId

chainId: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:524

### circleIntegration

circleIntegration: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:526

### confirmOwnershipTransferRequest

confirmOwnershipTransferRequest: TypedContractMethod<[], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:528

### decodeTransferTokensWithRelay

decodeTransferTokensWithRelay: TypedContractMethod<[encoded: BytesLike], [TransferTokensWithRelayStructOutput], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:534

### encodeTransferTokensWithRelay

encodeTransferTokensWithRelay: TypedContractMethod<[transfer: TransferTokensWithRelayStruct], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:540

### feeRecipient

feeRecipient: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:546

### filters

filters: {
AdminChanged: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
AdminChanged(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
BeaconUpgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
BeaconUpgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
FeeRecipientUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
FeeRecipientUpdated(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
OwnershipTransfered: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
OwnershipTransfered(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapExecuted: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapExecuted(address,address,address,uint256,uint256): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapRateUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapRateUpdated(address,uint256): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
Upgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
Upgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
}

#### Type declaration

- ##### AdminChanged: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### AdminChanged(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### BeaconUpgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### BeaconUpgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### FeeRecipientUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### FeeRecipientUpdated(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### OwnershipTransfered: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### OwnershipTransfered(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapExecuted: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapExecuted(address,address,address,uint256,uint256): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapRateUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapRateUpdated(address,uint256): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### Upgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### Upgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

Overrides BaseContract.filters

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:874

### getPaused

getPaused: TypedContractMethod<[], [boolean], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:548

### getRegisteredContract

getRegisteredContract: TypedContractMethod<[emitterChainId: BigNumberish], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:550

### interface

interface: CircleRelayerInterface

Overrides BaseContract.interface

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:459

### maxNativeSwapAmount

maxNativeSwapAmount: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:556

### nativeSwapRate

nativeSwapRate: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:562

### nativeSwapRatePrecision

nativeSwapRatePrecision: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:564

### nativeTokenDecimals

nativeTokenDecimals: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:566

### owner

owner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:568

### ownerAssistant

ownerAssistant: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:570

### pendingOwner

pendingOwner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:572

### redeemTokens

redeemTokens: TypedContractMethod<[redeemParams: RedeemParametersStruct], [void], "payable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:574

### registerContract

registerContract: TypedContractMethod<[chainId_: BigNumberish, contractAddress: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:580

### relayerFee

relayerFee: TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:586

### setPauseForTransfers

setPauseForTransfers: TypedContractMethod<[chainId_: BigNumberish, paused: boolean], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:592

### submitOwnershipTransferRequest

submitOwnershipTransferRequest: TypedContractMethod<[chainId_: BigNumberish, newOwner: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:598

### transferTokensWithRelay

transferTokensWithRelay: TypedContractMethod<[token: AddressLike, amount: BigNumberish, toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipientWallet: BytesLike], [bigint], "payable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:604

### updateFeeRecipient

updateFeeRecipient: TypedContractMethod<[chainId_: BigNumberish, newFeeRecipient: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:616

### updateMaxNativeSwapAmount

updateMaxNativeSwapAmount: TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, maxAmount: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:622

### updateNativeSwapRate

updateNativeSwapRate: TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, swapRate: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:628

### updateNativeSwapRatePrecision

updateNativeSwapRatePrecision: TypedContractMethod<[chainId_: BigNumberish, nativeSwapRatePrecision_: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:634

### updateOwnerAssistant

updateOwnerAssistant: TypedContractMethod<[chainId_: BigNumberish, newAssistant: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:640

### updateRelayerFee

updateRelayerFee: TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, amount: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:646

### wormhole

wormhole: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:652

## Methods

### connect

- connect(runner?): CircleRelayer

- #### Parameters

  - ##### `Optional` runner: ContractRunner

  #### Returns CircleRelayer

  Overrides BaseContract.connect

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:456

### getEvent

- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "AdminChanged"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:824
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "BeaconUpgraded"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:831
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "FeeRecipientUpdated"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:838
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "OwnershipTransfered"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:845
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "SwapExecuted"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:852
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "SwapRateUpdated"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:859
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "Upgraded"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:866

### getFunction

- getFunction<T>(key): T

- #### Type Parameters

  - #### T extends ContractMethod<any[], any, any> = ContractMethod<any[], any, any>

  #### Parameters

  - ##### key: string | FunctionFragment

  #### Returns T

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:654
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "VERSION"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:658
- getFunction(nameOrSignature): TypedContractMethod<[address_: BytesLike], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "bytes32ToAddress"

  #### Returns TypedContractMethod<[address_: BytesLike], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:661
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "calculateMaxSwapAmountIn"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:664
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike, toNativeAmount: BigNumberish], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "calculateNativeSwapAmountOut"

  #### Returns TypedContractMethod<[token: AddressLike, toNativeAmount: BigNumberish], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:667
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "cancelOwnershipTransferRequest"

  #### Returns TypedContractMethod<[chainId_: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:674
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "chainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:677
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "circleIntegration"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:680
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "confirmOwnershipTransferRequest"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:683
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [TransferTokensWithRelayStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "decodeTransferTokensWithRelay"

  #### Returns TypedContractMethod<[encoded: BytesLike], [TransferTokensWithRelayStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:686
- getFunction(nameOrSignature): TypedContractMethod<[transfer: TransferTokensWithRelayStruct], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "encodeTransferTokensWithRelay"

  #### Returns TypedContractMethod<[transfer: TransferTokensWithRelayStruct], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:693
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "feeRecipient"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:700
- getFunction(nameOrSignature): TypedContractMethod<[], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "getPaused"

  #### Returns TypedContractMethod<[], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:703
- getFunction(nameOrSignature): TypedContractMethod<[emitterChainId: BigNumberish], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "getRegisteredContract"

  #### Returns TypedContractMethod<[emitterChainId: BigNumberish], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:706
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "maxNativeSwapAmount"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:709
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "nativeSwapRate"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:712
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "nativeSwapRatePrecision"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:715
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "nativeTokenDecimals"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:718
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "owner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:721
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "ownerAssistant"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:724
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "pendingOwner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:727
- getFunction(nameOrSignature): TypedContractMethod<[redeemParams: RedeemParametersStruct], [void], "payable">

- #### Parameters

  - ##### nameOrSignature: "redeemTokens"

  #### Returns TypedContractMethod<[redeemParams: RedeemParametersStruct], [void], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:730
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, contractAddress: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "registerContract"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, contractAddress: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:737
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "relayerFee"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:744
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, paused: boolean], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "setPauseForTransfers"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, paused: boolean], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:751
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, newOwner: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitOwnershipTransferRequest"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, newOwner: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:758
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike, amount: BigNumberish, toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipientWallet: BytesLike], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "transferTokensWithRelay"

  #### Returns TypedContractMethod<[token: AddressLike, amount: BigNumberish, toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipientWallet: BytesLike], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:765
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, newFeeRecipient: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateFeeRecipient"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, newFeeRecipient: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:778
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, maxAmount: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateMaxNativeSwapAmount"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, maxAmount: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:785
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, swapRate: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateNativeSwapRate"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, swapRate: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:792
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, nativeSwapRatePrecision_: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateNativeSwapRatePrecision"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, nativeSwapRatePrecision_: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:799
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, newAssistant: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateOwnerAssistant"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, newAssistant: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:806
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, amount: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateRelayerFee"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, amount: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:813
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "wormhole"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:820

### listeners

- listeners<TCEvent>(event): Promise<TypedListener<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  #### Returns Promise<TypedListener<TCEvent>[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:490
- listeners(eventName?): Promise<Listener[]>

- #### Parameters

  - ##### `Optional` eventName: string

  #### Returns Promise<Listener[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:493

### on

- on<TCEvent>(event, listener): Promise<CircleRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<CircleRelayer>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:472
- on<TCEvent>(filter, listener): Promise<CircleRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<CircleRelayer>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:476

### once

- once<TCEvent>(event, listener): Promise<CircleRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<CircleRelayer>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:481
- once<TCEvent>(filter, listener): Promise<CircleRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<CircleRelayer>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:485

### queryFilter

- queryFilter<TCEvent>(event, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:461
- queryFilter<TCEvent>(filter, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:466

### removeAllListeners

- removeAllListeners<TCEvent>(event?): Promise<CircleRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### `Optional` event: TCEvent

  #### Returns Promise<CircleRelayer>

  Overrides BaseContract.removeAllListeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:494

### waitForDeployment

- waitForDeployment(): Promise<CircleRelayer>

- #### Returns Promise<CircleRelayer>

  Overrides BaseContract.waitForDeployment

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/CircleRelayer.ts:457

Generated using TypeDoc